Gem install -- need help


#1

I am having problems trying to install new gems. Most notably, recently
I have attempted to install the fcgi and the mysql gems. In both cases,
I get the following error:

can’t find header files for ruby.
ERROR: While executing gem … (RuntimeError)
ERROR: Failed to build gem native extension.
Gem files will remain installed in …

Can anyone shed any light on this issue? I have been stuck for a couple
of days, and I would really like to get this fixed.

Thanks in advance.


#2

Hi John ~

What platform are you using? Does running: ruby -v
Display the version number?

~ Ben

On 5/18/06, John W. removed_email_address@domain.invalid wrote:

of days, and I would really like to get this fixed.

Thanks in advance.


Posted via http://www.ruby-forum.com/.


Rails mailing list
removed_email_address@domain.invalid
http://lists.rubyonrails.org/mailman/listinfo/rails


Ben R.
303-947-0446
http://www.benr75.com


#3

What OS are you on? What reference are you using? I followed the
instructions for mac os on apple
developer site. There is no problem if you just follow the instructions.
Now my Powerbook G4 is a
screaming Rails machine.

— “John W.” removed_email_address@domain.invalid wrote:

of days, and I would really like to get this fixed.

Thanks in advance.


Posted via http://www.ruby-forum.com/.


Rails mailing list
removed_email_address@domain.invalid
http://lists.rubyonrails.org/mailman/listinfo/rails

http://www.ProblemSolvingSkill.net
Hone your problem-solving skills


#4

After unstalling ruby/gem/rails and then reinstalling everything, It
looks like gem is working. Thanks!

Bala P. wrote:

What OS are you on? What reference are you using? I followed the
instructions for mac os on apple
developer site. There is no problem if you just follow the instructions.
Now my Powerbook G4 is a
screaming Rails machine.